Subject: Fvwm version 1.2 available
From: [email-masked] (Robert Nation)
Date: 29 Jan 1994 23:49:27 +0200
Newsgroups: comp.os.linux.announce

Fvwm release 1.20 (source only) has been uploaded to 
sunsite.unc.edu as file /pub/Linux/Incoming/fvwm-1.20-source.tar.z.
(A binary distribution will be generated next week)

Fvwm is a just another window manager, which provides a simple virtual
desktop, a 3-D look for windows decorations, and color icons. It can be 
configured to use far less memory than twm.

1. Some segmentation faults have been fixed.
2. Some icon positioning problems have been fixed.
3. Changed some compile time configuration options to
   run time options.
4. Beefed up the module interface and added several new modules:
	FvwmNoClutter - runs around and iconifies/deletes windows you forgot
	                about
	FvwmIdentify - provides detailed information about a selected window
	FvwmSaveDesktop - attempts to save the current layout of your
	                  desktop
	FvwmModuleDebugger - useful if you want to write your own modules

******************************************************************************
There is now a mailing list for fvwm:
   To subscribe:

   mail to [email-masked] with the body of the message:

   subscribe fvwm

   That's all there is to it.  To send to the list, mail to [email-masked], 
   or to get me (mailing list administrator) direclty mail to 
   [email-masked]
*****************************************************************************

I believe that the module interface is a good way to extend the
functionality of Fvwm, without adversely affecting the integrity of the
window manager itself, and without adding unnecessary software bloat. Modules
are programs that have special access to fvwm's internal data structures,
and can provide many of the same services as built in functions.

I would like to put out a call for module ideas and donated modules. Ideas
questions, etc should be discussed on the fvwm mailing list, mentioned above.
Here are some ideas which should be feasible:
1. An improved pager. Supports multiple desktops better than the
   current built-in pager.
2. A WindowList module. Could replace the current Window-list, and provide
   a permanantly displayed Window-list, which would make an excellent
   icon manager.
3. Tear-off menus, like the olwm pushpins provide.

Let your imagination go! Read the documentation, fvwm/documentation/modules.tex
and then discuss your ideas. 

It should be possible to design modules using the toolkit of your
choice, and possibly even using Tcl/Tk. 

*****************************************************************************
Note: If you want to use color icons, you will need to get the Xpm libraries 
from sunsite.unc.edu:
 /pub/X11/contrib/xpm-3.3.tar.gz for the Xpm library, or
 /pub/Linux/X11/libs, file libXpm-3.3.tar.gz. for a pre-compiled shared 
                       library of libXpm for Linux (it was still in /pub
			/Linux/Incoming last I checked).

You may also want these from sunsite.unc.edu:
 /pub/X11/contrib/xpm3icons.tar.Z, sample icons
 /pub/X11/contrib/ctwm-3.0.tar.Z, pull out the icons. ctwm has really nice
                        color icons.
and this from ftp.x.org:
 /contrib/SunDesk???, lots of sample icons, which, unfortunately, have
                      very undescriptive file names. Apparantly there is
		      another version of this file with descriptive names,
	              also on ftp.x.org.
and this,
hplyot.obspm.circe.fr /arc/hobbes-icons-xpm3.tar.gz
			lots of icons.
 
Rob Nation
([email-masked])

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.